<div class="docs-primary-header component-page-header">
  <mat-chip-list>
      <mat-chip>
          <mat-icon>home</mat-icon>
          <a routerLink="/dashboard">Home</a> /
          Countries
      </mat-chip>
  </mat-chip-list>
</div>

<button mat-fab (click)="sidenav1.toggle() && resetform()" class="float-button">
  <mat-icon matTooltip="Add Country">add</mat-icon>
</button>

<div style="padding:15px;" class="appereance">
  <div class="example-container mat-elevation-z2 radius">
    <div class="title">
      <span>COUNTRIES</span>
      <div style="flex-grow:1;"></div>
      <a routerLink="/deleted-country" style="font-size: 16px;padding: 5px;"> Deleted Countries</a>&nbsp;
    
      <button mat-raised-button style="cursor: pointer;" (click)="delete()" color="accent">DELETE</button> 
    </div>
    <div class="example-header">
      <mat-form-field>
        <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
      </mat-form-field>
    </div>

    <mat-table #table [dataSource]="dataSource" matSort>

      <ng-container matColumnDef="country_id">
        <mat-header-cell *matHeaderCellDef mat-sort-header> ID. </mat-header-cell>
        <mat-cell *matCellDef="let element; let i=index"> {{i+1}} </mat-cell>
      </ng-container>

      <ng-container matColumnDef="country">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Country Name </mat-header-cell>
        <mat-cell *matCellDef="let element"> {{element.country}} </mat-cell>
      </ng-container>

      <ng-container matColumnDef="gst">
        <mat-header-cell *matHeaderCellDef mat-sort-header> GST </mat-header-cell>
        <mat-cell *matCellDef="let element"> {{element.gst}} </mat-cell>
      </ng-container>
 
      <ng-container matColumnDef="actions">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Actions </mat-header-cell>
        <mat-cell *matCellDef="let element">
          <button mat-icon-button>
            <mat-icon matTooltip="Edit" (click)="sidenav1.toggle()" (click)="edit(element.country_id, element.type)">edit
            </mat-icon>
          </button>
        </mat-cell>
      </ng-container>

      
      <ng-container matColumnDef="action">
        <mat-header-cell *matHeaderCellDef>
          <mat-checkbox (change)="alltogglecheck($event.checked,posts)"
          [checked]="allsel"   [indeterminate]="this.intsel > 0 ? true : false">
          </mat-checkbox>
        </mat-header-cell>
        <mat-cell *matCellDef="let row">  
          <mat-checkbox  (change)="sendIDS($event.checked,row.country_id,posts.length)"
                        [checked]="sel">
          </mat-checkbox>
        </mat-cell>
      </ng-container>

      <mat-header-row *matHeaderRowDef="['country_id','country', 'gst', 'actions','action']"></mat-header-row>
      <mat-row *matRowDef="let row; columns: ['country_id','country', 'gst', 'actions','action']"></mat-row>

    </mat-table>

    <!-- <mat-paginator [length]="100" [pageSize]="5" [pageSizeOptions]="[5, 10, 25, 100]"> -->
        <mat-paginator [length]="100000" [pageSize]="5000" [pageSizeOptions]="[5000, 10000,50000, 100000]">

    </mat-paginator>
  </div>
</div>


<mat-sidenav-container>

  <mat-sidenav #sidenav1 mode="over" opened="false" position="end">
    <mat-toolbar>
      <button mat-icon-button (click)="sidenav1.toggle() && resetform()">
        <mat-icon class="icon" matTooltip="Close">close</mat-icon>
      </button>
      <span style="margin-left: 15px;">ADD COUNTRY</span>
    </mat-toolbar>

    <div style="padding: 0 24px 24px 24px; margin-top: 10px;">
      <form [formGroup]="countryForm">

        <mat-form-field>
          <input matInput placeholder="Country Name" formControlName="country">
          <mat-error *ngIf="countryForm.controls['country'].hasError('required')">
            This field is
            <strong>required</strong>
          </mat-error>
        </mat-form-field>

        <mat-form-field>
          <input matInput placeholder="GST" formControlName="gst">
          <mat-error *ngIf="countryForm.controls['gst'].hasError('required')">
            This field is
            <strong>required</strong>
          </mat-error>
        </mat-form-field>
     

        <div style="margin-top: 15px;">
          <a mat-raised-button (click)="resetform()" mat-raised-button color="accent" style="margin-left: 5px;">Reset</a>
          <button mat-raised-button color="accent" style="margin-left: 5px;" (click)="sidenav1.toggle() && submit()" [disabled]="!countryForm.valid || Hidden">Submit</button>
        </div>
      </form>
    </div>

  </mat-sidenav>
</mat-sidenav-container>